Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686993 - Compliance App: After updating system, openscap scanning formatted strangely, causing insights-client --payload to to error
Summary: Compliance App: After updating system, openscap scanning formatted strangely,...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Insights
Classification: Red Hat
Component: Pilot
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mohit Goyal
QA Contact: Rob Williams
Kevin Blake
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 20:54 UTC by David Luong
Modified: 2019-03-15 21:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-15 21:53:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
scan (deleted)
2019-03-08 20:54 UTC, David Luong
no flags Details

Description David Luong 2019-03-08 20:54:49 UTC
Created attachment 1542246 [details]
scan

Description of problem:
After updating a system using yum update -y, it causes the openscap report to look different. 

I'm assuming, due to this different format, it messes up insights-client --payload

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Perform openscap scan on non fully updated system and insights-client --payload to compare (successful)
2.  yum update -7 (note that insights-client, openscap-scanner, and scap-security-guide were already on the latest version, so these packages were untouched)
3.  Repeat step 1 (results are formatted differently and insights-client fails)

Actual results:
Openscap results look different, looks like the 1st column is cut off by a few characters, ie, Title is truncated and there's no space there, and Rules is also truncated:

oscap xccdf eval --profile xccdf_org.ssgproject.content_profile_standard --results scan.xml  /usr/share/xml/scap/ssg/content/ssg-rhel7-ds.xml
WARNING: This content points out to the remote resources. Use `--fetch-remote-resources' option to download them.
WARNING: Skipping https://www.redhat.com/security/data/oval/com.redhat.rhsa-RHEL7.xml.bz2 file which is referenced from XCCDF content
TitDisable At Service (atd)
Rulxccdf_org.ssgproject.content_rule_service_atd_disabled
IdeCCE-80345-2
Respass

TitDisable Odd Job Daemon (oddjobd)
Rulxccdf_org.ssgproject.content_rule_service_oddjobd_disabled
IdeCCE-80263-7
Respass

TitDisable Apache Qpid (qpidd)
Rulxccdf_org.ssgproject.content_rule_service_qpidd_disabled
IdeCCE-80266-0
Respass

TitDisable Automatic Bug Reporting Tool (abrtd)
Rulxccdf_org.ssgproject.content_rule_service_abrtd_disabled
IdeCCE-26872-2
Respass

TitDisable ntpdate Service (ntpdate)
Rulxccdf_org.ssgproject.content_rule_service_ntpdate_disabled
IdeCCE-80262-9
Respass

TitDisable Network Router Discovery Daemon (rdisc)
Rulxccdf_org.ssgproject.content_rule_service_rdisc_disabled
IdeCCE-80268-6
Respass

TitEnsure /var/log/audit Located On Separate Partition
Rulxccdf_org.ssgproject.content_rule_partition_for_var_log_audit
IdeCCE-26971-2
Resfail

TitEnsure /var/log Located On Separate Partition
Rulxccdf_org.ssgproject.content_rule_partition_for_var_log
IdeCCE-26967-0
Resfail

TitVerify and Correct File Permissions with RPM
Rulxccdf_org.ssgproject.content_rule_rpm_verify_permissions
IdeCCE-27209-6
Resfail

TitVerify File Hashes with RPM
Rulxccdf_org.ssgproject.content_rule_rpm_verify_hashes
IdeCCE-27157-7
Respass

TitEnsure Software Patches Installed
Rulxccdf_org.ssgproject.content_rule_security_patches_up_to_date
IdeCCE-26895-3
Resnotchecked

TitEnsure Red Hat GPG Key Installed
Rulxccdf_org.ssgproject.content_rule_ensure_redhat_gpgkey_installed
IdeCCE-26957-1
Respass

TitEnsure gpgcheck Enabled In Main Yum Configuration
Rulxccdf_org.ssgproject.content_rule_ensure_gpgcheck_globally_activated
IdeCCE-26989-4
Respass

TitEnable rsyslog Service
Rulxccdf_org.ssgproject.content_rule_service_rsyslog_enabled
IdeCCE-80188-6
Respass

TitEnsure rsyslog is Installed
Rulxccdf_org.ssgproject.content_rule_package_rsyslog_installed
IdeCCE-80187-8
Respass

TitPrevent Log In to Accounts With Empty Password
Rulxccdf_org.ssgproject.content_rule_no_empty_passwords
IdeCCE-27286-4
Resfail

TitEnsure that Root's Path Does Not Include World or Group-Writable Directories
Rulxccdf_org.ssgproject.content_rule_accounts_root_path_dirs_no_write
IdeCCE-80200-9
W: probe_environmentvariable58: Entity has no value!
Respass

TitEnsure auditd Collects Information on Kernel Module Loading and Unloading
Rulxccdf_org.ssgproject.content_rule_audit_rules_kernel_module_loading
IdeCCE-27129-6
Resfail

TitRecord Attempts to Alter Time Through stime
Rulxccdf_org.ssgproject.content_rule_audit_rules_time_stime
IdeCCE-27299-7
Resfail

TitRecord attempts to alter time through settimeofday
Rulxccdf_org.ssgproject.content_rule_audit_rules_time_settimeofday
IdeCCE-27216-1
Resfail

TitRecord Attempts to Alter the localtime File
Rulxccdf_org.ssgproject.content_rule_audit_rules_time_watch_localtime
IdeCCE-27310-2
Resfail

TitRecord Attempts to Alter Time Through clock_settime
Rulxccdf_org.ssgproject.content_rule_audit_rules_time_clock_settime
IdeCCE-27219-5
Resfail

TitRecord attempts to alter time through adjtimex
Rulxccdf_org.ssgproject.content_rule_audit_rules_time_adjtimex
IdeCCE-27290-6
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - fchown
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_fchown
IdeCCE-27356-5
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - setxattr
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_setxattr
IdeCCE-27213-8
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - fsetxattr
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_fsetxattr
IdeCCE-27389-6
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - chown
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_chown
IdeCCE-27364-9
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - fchownat
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_fchownat
IdeCCE-27387-0
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - lchown
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_lchown
IdeCCE-27083-5
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - chmod
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_chmod
IdeCCE-27339-1
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - removexattr
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_removexattr
IdeCCE-27367-2
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - fremovexattr
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_fremovexattr
IdeCCE-27353-2
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - lsetxattr
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_lsetxattr
IdeCCE-27280-7
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - fchmod
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_fchmod
IdeCCE-27393-8
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - lremovexattr
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_lremovexattr
IdeCCE-27410-0
Resfail

TitRecord Events that Modify the System's Discretionary Access Controls - fchmodat
Rulxccdf_org.ssgproject.content_rule_audit_rules_dac_modification_fchmodat
IdeCCE-27388-8
Resfail

TitEnsure auditd Collects File Deletion Events by User
Rulxccdf_org.ssgproject.content_rule_audit_rules_file_deletion_events
IdeCCE-27206-2
Resfail

TitEnsure auditd Collects Information on the Use of Privileged Commands
Rulxccdf_org.ssgproject.content_rule_audit_rules_privileged_commands
IdeCCE-27437-3
Resfail

TitEnsure auditd Collects Unauthorized Access Attempts to Files (unsuccessful)
Rulxccdf_org.ssgproject.content_rule_audit_rules_unsuccessful_file_modification
IdeCCE-27347-4
Resfail

TitEnsure auditd Collects System Administrator Actions
Rulxccdf_org.ssgproject.content_rule_audit_rules_sysadmin_actions
IdeCCE-27461-3
Resfail

TitRecord Events that Modify the System's Network Environment
Rulxccdf_org.ssgproject.content_rule_audit_rules_networkconfig_modification
IdeCCE-27076-9
Resfail

TitRecord Events that Modify User/Group Information
Rulxccdf_org.ssgproject.content_rule_audit_rules_usergroup_modification
IdeCCE-27192-4
Resfail

TitEnsure auditd Collects Information on Exporting to Media (successful)
Rulxccdf_org.ssgproject.content_rule_audit_rules_media_export
IdeCCE-27447-2
Resfail

TitRecord Events that Modify the System's Mandatory Access Controls
Rulxccdf_org.ssgproject.content_rule_audit_rules_mac_modification
IdeCCE-27168-4
Resfail

TitEnsure All SGID Executables Are Authorized
Rulxccdf_org.ssgproject.content_rule_file_permissions_unauthorized_sgid
IdeCCE-80132-4
Respass

TitEnsure No World-Writable Files Exist
Rulxccdf_org.ssgproject.content_rule_file_permissions_unauthorized_world_writable
IdeCCE-80131-6
Respass

TitVerify that All World-Writable Directories Have Sticky Bits Set
Rulxccdf_org.ssgproject.content_rule_dir_perms_world_writable_sticky_bits
IdeCCE-80130-8
Respass

TitEnsure All SUID Executables Are Authorized
Rulxccdf_org.ssgproject.content_rule_file_permissions_unauthorized_suid
IdeCCE-80133-2
Respass

TitAdd nosuid Option to /dev/shm
Rulxccdf_org.ssgproject.content_rule_mount_option_dev_shm_nosuid
IdeCCE-80154-8
Respass

TitAdd nodev Option to /dev/shm
Rulxccdf_org.ssgproject.content_rule_mount_option_dev_shm_nodev
IdeCCE-80152-2
Respass

TitDisable the Automounter
Rulxccdf_org.ssgproject.content_rule_service_autofs_disabled
IdeCCE-27498-5
Respass

Insights then fails:
insights-client --verbose --payload scan.xml --content-type application/vnd.redhat.compliance.something+tgz
2019-03-08 15:38:04,567    DEBUG insights.client.client Logging initialized
2019-03-08 15:38:04,568    DEBUG root Loaded initial egg: /var/lib/insights/last_stable.egg/insights
2019-03-08 15:38:04,569    DEBUG insights.client /usr/bin/gpg --verify --keyring /etc/insights-client/redhattools.pub.gpg /var/lib/insights/last_stable.egg.asc /var/lib/insights/last_stable.egg
2019-03-08 15:38:04,610    DEBUG insights.client GPG return code: 0
2019-03-08 15:38:05,397    DEBUG insights.client.client Logging initialized
2019-03-08 15:38:05,398    DEBUG insights.client.auto_config Trying to autoconfigure...
2019-03-08 15:38:05,410    DEBUG rhsm.https Using standard libs to provide httplib and ssl
2019-03-08 15:38:05,419    DEBUG insights.client.auto_config Checking if system is subscription-manager registered
2019-03-08 15:38:05,419    DEBUG insights.client.auto_config System is subscription-manager registered
2019-03-08 15:38:05,420    DEBUG insights.client.auto_config Found Host: subscription.rhsm.redhat.com, Port: 443
2019-03-08 15:38:05,420    DEBUG insights.client.auto_config Found CA: /etc/rhsm/ca/redhat-uep.pem
2019-03-08 15:38:05,420    DEBUG insights.client.auto_config Setting authmethod to CERT
2019-03-08 15:38:05,421    DEBUG insights.client.auto_config Connected to Red Hat Directly, using cert-api
2019-03-08 15:38:05,421    DEBUG insights.client.auto_config Trying to set auto_configuration
2019-03-08 15:38:05,421    DEBUG insights.client.auto_config Attempting to auto configure!
2019-03-08 15:38:05,421    DEBUG insights.client.auto_config Attempting to auto configure hostname: cert-api.access.redhat.com
2019-03-08 15:38:05,422    DEBUG insights.client.auto_config Attempting to auto configure CA cert: None
2019-03-08 15:38:05,422    DEBUG insights.client.auto_config Attempting to auto configure proxy: None
2019-03-08 15:38:05,422    DEBUG insights.client.auto_config Verifying Connectivity
2019-03-08 15:38:05,422    DEBUG insights.client.connection NO PROXY: None
2019-03-08 15:38:05,433    DEBUG insights.client.connection Obtaining branch information from https://cert-api.access.redhat.com/r/insights/v1/branch_info
2019-03-08 15:38:05,709    DEBUG insights.client.connection GET branch_info status: 200
2019-03-08 15:38:05,710    DEBUG insights.client.connection Branch information: {"remote_branch": -1, "remote_leaf": -1}
2019-03-08 15:38:05,711    DEBUG insights.client.connection Saving branch info to file.
2019-03-08 15:38:05,769    DEBUG insights.client /usr/bin/gpg --verify --keyring /etc/insights-client/redhattools.pub.gpg /var/lib/insights/last_stable.egg.asc /var/lib/insights/last_stable.egg
2019-03-08 15:38:05,812    DEBUG insights.client GPG return code: 0
2019-03-08 15:38:06,674    DEBUG insights.client.client Logging initialized
2019-03-08 15:38:06,674    DEBUG insights.client.auto_config Trying to autoconfigure...
2019-03-08 15:38:06,678    DEBUG rhsm.https Using standard libs to provide httplib and ssl
2019-03-08 15:38:06,682    DEBUG insights.client.auto_config Checking if system is subscription-manager registered
2019-03-08 15:38:06,683    DEBUG insights.client.auto_config System is subscription-manager registered
2019-03-08 15:38:06,683    DEBUG insights.client.auto_config Found Host: subscription.rhsm.redhat.com, Port: 443
2019-03-08 15:38:06,683    DEBUG insights.client.auto_config Found CA: /etc/rhsm/ca/redhat-uep.pem
2019-03-08 15:38:06,683    DEBUG insights.client.auto_config Setting authmethod to CERT
2019-03-08 15:38:06,684    DEBUG insights.client.auto_config Connected to Red Hat Directly, using cert-api
2019-03-08 15:38:06,684    DEBUG insights.client.auto_config Trying to set auto_configuration
2019-03-08 15:38:06,684    DEBUG insights.client.auto_config Attempting to auto configure!
2019-03-08 15:38:06,684    DEBUG insights.client.auto_config Attempting to auto configure hostname: cert-api.access.redhat.com
2019-03-08 15:38:06,684    DEBUG insights.client.auto_config Attempting to auto configure CA cert: None
2019-03-08 15:38:06,684    DEBUG insights.client.auto_config Attempting to auto configure proxy: None
2019-03-08 15:38:06,684    DEBUG insights.client.auto_config Verifying Connectivity
2019-03-08 15:38:06,685    DEBUG insights.client.connection NO PROXY: None
2019-03-08 15:38:06,691    DEBUG insights.client.connection Reading branch info from cached file.
2019-03-08 15:38:06,694    DEBUG insights.client Beginning core fetch.
2019-03-08 15:38:06,694    DEBUG insights.client.connection NO PROXY: None
2019-03-08 15:38:06,695    DEBUG insights.client Found etag "b0864ddc4709388934ae808e33f457d1:1552060938"
2019-03-08 15:38:06,695    DEBUG insights.client Making request to https://cert-api.access.redhat.com/r/insights/v1/static/core/insights-core.egg for new core
2019-03-08 15:38:06,695    DEBUG insights.client Requesting new file with etag "b0864ddc4709388934ae808e33f457d1:1552060938"
2019-03-08 15:38:06,800    DEBUG insights.client Status code: 304
2019-03-08 15:38:06,801    DEBUG insights.client date: Fri, 08 Mar 2019 20:38:06 GMT
2019-03-08 15:38:06,801    DEBUG insights.client last-modified: Fri, 08 Mar 2019 16:02:09 GMT
2019-03-08 15:38:06,801    DEBUG insights.client connection: keep-alive
2019-03-08 15:38:06,801    DEBUG insights.client etag: "b0864ddc4709388934ae808e33f457d1:1552060938"
2019-03-08 15:38:06,801    DEBUG insights.client content-type: text/plain
2019-03-08 15:38:06,801    DEBUG insights.client ETag: "b0864ddc4709388934ae808e33f457d1:1552060938"
2019-03-08 15:38:06,802    DEBUG insights.client No data received
2019-03-08 15:38:06,802    DEBUG insights.client Tags match, not updating core
2019-03-08 15:38:06,802    DEBUG insights.client.phase.v1 Uploading a payload. Bypassing rules update.
2019-03-08 15:38:06,829    DEBUG insights.client /usr/bin/gpg --verify --keyring /etc/insights-client/redhattools.pub.gpg /var/lib/insights/last_stable.egg.asc /var/lib/insights/last_stable.egg
2019-03-08 15:38:06,848    DEBUG insights.client GPG return code: 0
2019-03-08 15:38:07,273    DEBUG insights.client.client Logging initialized
2019-03-08 15:38:07,273    DEBUG insights.client.auto_config Trying to autoconfigure...
2019-03-08 15:38:07,277    DEBUG rhsm.https Using standard libs to provide httplib and ssl
2019-03-08 15:38:07,281    DEBUG insights.client.auto_config Checking if system is subscription-manager registered
2019-03-08 15:38:07,281    DEBUG insights.client.auto_config System is subscription-manager registered
2019-03-08 15:38:07,282    DEBUG insights.client.auto_config Found Host: subscription.rhsm.redhat.com, Port: 443
2019-03-08 15:38:07,282    DEBUG insights.client.auto_config Found CA: /etc/rhsm/ca/redhat-uep.pem
2019-03-08 15:38:07,282    DEBUG insights.client.auto_config Setting authmethod to CERT
2019-03-08 15:38:07,282    DEBUG insights.client.auto_config Connected to Red Hat Directly, using cert-api
2019-03-08 15:38:07,282    DEBUG insights.client.auto_config Trying to set auto_configuration
2019-03-08 15:38:07,283    DEBUG insights.client.auto_config Attempting to auto configure!
2019-03-08 15:38:07,283    DEBUG insights.client.auto_config Attempting to auto configure hostname: cert-api.access.redhat.com
2019-03-08 15:38:07,283    DEBUG insights.client.auto_config Attempting to auto configure CA cert: None
2019-03-08 15:38:07,283    DEBUG insights.client.auto_config Attempting to auto configure proxy: None
2019-03-08 15:38:07,283    DEBUG insights.client.auto_config Verifying Connectivity
2019-03-08 15:38:07,283    DEBUG insights.client.connection NO PROXY: None
2019-03-08 15:38:07,290    DEBUG insights.client.connection Reading branch info from cached file.
2019-03-08 15:38:07,292    DEBUG insights.client.phase.v1 CONFIG:     analyze_container: False
    analyze_file: None
    analyze_image_id: None
    analyze_mountpoint: None
    api_url: None
    authmethod: CERT
    auto_config: True
    auto_update: True
    base_url: cert-api.access.redhat.com/r/insights
    branch_info_url: None
    cert_verify: /etc/insights-client/cert-api.access.redhat.com.pem
    cmd_timeout: 120
    collection_rules_url: None
    compressor: gz
    conf: /etc/insights-client/insights-client.conf
    content_type: application/vnd.redhat.compliance.something+tgz
    debug: False
    diagnosis: None
    disable_schedule: False
    display_name: None
    egg_gpg_path: /v1/static/core/insights-core.egg.asc
    egg_path: /v1/static/core/insights-core.egg
    enable_schedule: False
    gpg: True
    group: None
    http_timeout: 10.0
    insecure_connection: False
    keep_archive: False
    legacy_upload: False
    logging_file: /var/log/insights-client/insights-client.log
    loglevel: DEBUG
    net_debug: False
    no_gpg: False
    no_upload: False
    obfuscate: False
    obfuscate_hostname: False
    offline: False
    payload: scan.xml
    quiet: False
    register: False
    remove_file: /etc/insights-client/remove.conf
    reregister: False
    retries: 1
    silent: False
    status: False
    support: False
    systemid: None
    test_connection: False
    to_json: False
    to_stdout: False
    unregister: False
    upload_url: None
    use_atomic: None
    use_docker: None
    username: 
    validate: False
    verbose: True
    version: False
    
2019-03-08 15:38:07,293    DEBUG insights.client.connection NO PROXY: None
2019-03-08 15:38:07,293    DEBUG insights.client Platform upload. Bypassing registration.
2019-03-08 15:38:07,322    DEBUG insights.client /usr/bin/gpg --verify --keyring /etc/insights-client/redhattools.pub.gpg /var/lib/insights/last_stable.egg.asc /var/lib/insights/last_stable.egg
2019-03-08 15:38:07,341    DEBUG insights.client GPG return code: 0
2019-03-08 15:38:07,769    DEBUG insights.client.client Logging initialized
2019-03-08 15:38:07,769    DEBUG insights.client.auto_config Trying to autoconfigure...
2019-03-08 15:38:07,773    DEBUG rhsm.https Using standard libs to provide httplib and ssl
2019-03-08 15:38:07,777    DEBUG insights.client.auto_config Checking if system is subscription-manager registered
2019-03-08 15:38:07,777    DEBUG insights.client.auto_config System is subscription-manager registered
2019-03-08 15:38:07,777    DEBUG insights.client.auto_config Found Host: subscription.rhsm.redhat.com, Port: 443
2019-03-08 15:38:07,777    DEBUG insights.client.auto_config Found CA: /etc/rhsm/ca/redhat-uep.pem
2019-03-08 15:38:07,778    DEBUG insights.client.auto_config Setting authmethod to CERT
2019-03-08 15:38:07,778    DEBUG insights.client.auto_config Connected to Red Hat Directly, using cert-api
2019-03-08 15:38:07,778    DEBUG insights.client.auto_config Trying to set auto_configuration
2019-03-08 15:38:07,778    DEBUG insights.client.auto_config Attempting to auto configure!
2019-03-08 15:38:07,778    DEBUG insights.client.auto_config Attempting to auto configure hostname: cert-api.access.redhat.com
2019-03-08 15:38:07,778    DEBUG insights.client.auto_config Attempting to auto configure CA cert: None
2019-03-08 15:38:07,779    DEBUG insights.client.auto_config Attempting to auto configure proxy: None
2019-03-08 15:38:07,779    DEBUG insights.client.auto_config Verifying Connectivity
2019-03-08 15:38:07,779    DEBUG insights.client.connection NO PROXY: None
2019-03-08 15:38:07,786    DEBUG insights.client.connection Reading branch info from cached file.
2019-03-08 15:38:07,787    DEBUG insights.client.connection NO PROXY: None
2019-03-08 15:38:07,788     INFO insights.client.client Uploading Insights data.
2019-03-08 15:38:07,788    DEBUG insights.core.dr Importing insights.specs.default
2019-03-08 15:38:07,863    DEBUG insights.core.dr Importing insights.specs.insights_archive
2019-03-08 15:38:07,883    DEBUG insights.core.dr Importing insights.specs.sos_archive
2019-03-08 15:38:07,892    DEBUG insights.core.dr Importing insights.specs.jdr_archive
2019-03-08 15:38:07,894    DEBUG insights.client.connection Error getting canonical facts: local variable 'formatters' referenced before assignment
2019-03-08 15:38:07,894    DEBUG insights.client.connection Uploading scan.xml to https://cert-api.access.redhat.com/r/insights/platform/upload/api/v1/upload
2019-03-08 15:38:07,904    ERROR insights.client.phase.v1 Fatal error
Traceback (most recent call last):
  File "/var/lib/insights/last_stable.egg/insights/client/phase/v1.py", line 32, in _f
    func(client, config)
  File "/var/lib/insights/last_stable.egg/insights/client/phase/v1.py", line 198, in collect_and_output
    resp = client.upload(payload=insights_archive, content_type=config.content_type)
  File "/var/lib/insights/last_stable.egg/insights/client/__init__.py", line 59, in _init_connection
    return func(self, *args, **kwargs)
  File "/var/lib/insights/last_stable.egg/insights/client/__init__.py", line 364, in upload
    self.config, self.connection, payload, content_type)
  File "/var/lib/insights/last_stable.egg/insights/client/client.py", line 373, in upload
    upload = pconn.upload_archive(tar_file, content_type, collection_duration)
  File "/var/lib/insights/last_stable.egg/insights/client/connection.py", line 743, in upload_archive
    upload = self.session.post(upload_url, files=files, headers=headers)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 507, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 450, in request
    prep = self.prepare_request(req)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 381, in prepare_request
    hooks=merge_hooks(request.hooks, self.hooks),
  File "/usr/lib/python2.7/site-packages/requests/models.py", line 307, in prepare
    self.prepare_body(data, files, json)
  File "/usr/lib/python2.7/site-packages/requests/models.py", line 452, in prepare_body
    (body, content_type) = self._encode_files(files, data)
  File "/usr/lib/python2.7/site-packages/requests/models.py", line 150, in _encode_files
    fdata = fp.read()
AttributeError: 'NoneType' object has no attribute 'read'
2019-03-08 15:38:07,942    DEBUG insights_client Attempt failed.
2019-03-08 15:38:07,942    DEBUG insights.client /usr/bin/gpg --verify --keyring /etc/insights-client/redhattools.pub.gpg /etc/insights-client/rpm.egg.asc /etc/insights-client/rpm.egg
2019-03-08 15:38:07,954    DEBUG insights.client GPG return code: 0
Usage: insights-client-run [options]

insights-client-run: error: no such option: --payload


Expected results:
All works as expected

Additional info:
Attaching scan.xml as well
Also, Pilot shows I'm still vulnerable to spectre, and that I should upgrade my kernel (I can't, latest ver).

Comment 1 David Luong 2019-03-08 20:57:39 UTC
Updated from rhel 7.5 to rhel 7.6

Update that caused this:

 yum history info 3
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Transaction ID : 3
Begin time     : Fri Mar  8 15:19:19 2019
Begin rpmdb    : 348:25997f41294fdba74bf293802a1f3a2d372dc26e
End time       :            15:33:50 2019 (14 minutes)
End rpmdb      : 353:15ceee81e42c915fe4d011e9e082471b888a6cdb
User           : root <root>
Return-Code    : Success
Command Line   : update -y
Transaction performed with:
    Updated       rpm-4.11.3-32.el7.x86_64                  @?rhel-7-server-rpms
    Updated       subscription-manager-1.20.10-1.el7.x86_64 @?rhel-7-server-rpms
    Updated       yum-3.4.3-158.el7.noarch                  @?rhel-7-server-rpms
Packages Altered:
    Updated     GeoIP-1.5.0-11.el7.x86_64                                     @?rhel-7-server-rpms
    Update            1.5.0-13.el7.x86_64                                     @rhel-7-server-rpms
    Updated     NetworkManager-1:1.10.2-13.el7.x86_64                         @?rhel-7-server-rpms
    Update                     1:1.12.0-8.el7_6.x86_64                        @rhel-7-server-rpms
    Updated     NetworkManager-config-server-1:1.10.2-13.el7.noarch           @?rhel-7-server-rpms
    Update                                   1:1.12.0-8.el7_6.noarch          @rhel-7-server-rpms
    Updated     NetworkManager-libnm-1:1.10.2-13.el7.x86_64                   @?rhel-7-server-rpms
    Update                           1:1.12.0-8.el7_6.x86_64                  @rhel-7-server-rpms
    Updated     NetworkManager-team-1:1.10.2-13.el7.x86_64                    @?rhel-7-server-rpms
    Update                          1:1.12.0-8.el7_6.x86_64                   @rhel-7-server-rpms
    Updated     NetworkManager-tui-1:1.10.2-13.el7.x86_64                     @?rhel-7-server-rpms
    Update                         1:1.12.0-8.el7_6.x86_64                    @rhel-7-server-rpms
    Updated     audit-2.8.1-3.el7.x86_64                                      @?rhel-7-server-rpms
    Update            2.8.4-4.el7.x86_64                                      @rhel-7-server-rpms
    Updated     audit-libs-2.8.1-3.el7.x86_64                                 @?rhel-7-server-rpms
    Update                 2.8.4-4.el7.x86_64                                 @rhel-7-server-rpms
    Updated     audit-libs-python-2.8.1-3.el7.x86_64                          @?rhel-7-server-rpms
    Update                        2.8.4-4.el7.x86_64                          @rhel-7-server-rpms
    Updated     bash-4.2.46-30.el7.x86_64                                     @?rhel-7-server-rpms
    Update           4.2.46-31.el7.x86_64                                     @rhel-7-server-rpms
    Updated     bind-libs-lite-32:9.9.4-61.el7.x86_64                         @?rhel-7-server-rpms
    Update                     32:9.9.4-73.el7_6.x86_64                       @rhel-7-server-rpms
    Updated     bind-license-32:9.9.4-61.el7.noarch                           @?rhel-7-server-rpms
    Update                   32:9.9.4-73.el7_6.noarch                         @rhel-7-server-rpms
    Updated     binutils-2.27-27.base.el7.x86_64                              @?rhel-7-server-rpms
    Update               2.27-34.base.el7.x86_64                              @rhel-7-server-rpms
    Updated     ca-certificates-2017.2.20-71.el7.noarch                       @?rhel-7-server-rpms
    Update                      2018.2.22-70.0.el7_5.noarch                   @rhel-7-server-rpms
    Updated     checkpolicy-2.5-6.el7.x86_64                                  @?rhel-7-server-rpms
    Update                  2.5-8.el7.x86_64                                  @rhel-7-server-rpms
    Updated     cloud-init-0.7.9-24.el7.x86_64                                @?rhel-7-server-rpms
    Update                 18.2-1.el7_6.1.x86_64                              @rhel-7-server-rpms
    Updated     coreutils-8.22-21.el7.x86_64                                  @?rhel-7-server-rpms
    Update                8.22-23.el7.x86_64                                  @rhel-7-server-rpms
    Updated     cronie-1.4.11-19.el7.x86_64                                   @?rhel-7-server-rpms
    Update             1.4.11-20.el7_6.x86_64                                 @rhel-7-server-rpms
    Updated     cronie-anacron-1.4.11-19.el7.x86_64                           @?rhel-7-server-rpms
    Update                     1.4.11-20.el7_6.x86_64                         @rhel-7-server-rpms
    Updated     cryptsetup-libs-1.7.4-4.el7.x86_64                            @?rhel-7-server-rpms
    Update                      2.0.3-3.el7.x86_64                            @rhel-7-server-rpms
    Updated     curl-7.29.0-46.el7.x86_64                                     @?rhel-7-server-rpms
    Update           7.29.0-51.el7.x86_64                                     @rhel-7-server-rpms
    Updated     dbus-1:1.10.24-7.el7.x86_64                                   @?rhel-7-server-rpms
    Update           1:1.10.24-12.el7.x86_64                                  @rhel-7-server-rpms
    Updated     dbus-libs-1:1.10.24-7.el7.x86_64                              @?rhel-7-server-rpms
    Update                1:1.10.24-12.el7.x86_64                             @rhel-7-server-rpms
    Updated     device-mapper-7:1.02.146-4.el7.x86_64                         @?rhel-7-server-rpms
    Update                    7:1.02.149-10.el7_6.3.x86_64                    @rhel-7-server-rpms
    Updated     device-mapper-libs-7:1.02.146-4.el7.x86_64                    @?rhel-7-server-rpms
    Update                         7:1.02.149-10.el7_6.3.x86_64               @rhel-7-server-rpms
    Updated     dhclient-12:4.2.5-68.el7.x86_64                               @?rhel-7-server-rpms
    Update               12:4.2.5-68.el7_5.1.x86_64                           @rhel-7-server-rpms
    Updated     dhcp-common-12:4.2.5-68.el7.x86_64                            @?rhel-7-server-rpms
    Update                  12:4.2.5-68.el7_5.1.x86_64                        @rhel-7-server-rpms
    Updated     dhcp-libs-12:4.2.5-68.el7.x86_64                              @?rhel-7-server-rpms
    Update                12:4.2.5-68.el7_5.1.x86_64                          @rhel-7-server-rpms
    Updated     dmidecode-1:3.0-5.el7.x86_64                                  @?rhel-7-server-rpms
    Update                1:3.1-2.el7.x86_64                                  @rhel-7-server-rpms
    Updated     dracut-033-535.el7.x86_64                                     @?rhel-7-server-rpms
    Update             033-554.el7.x86_64                                     @rhel-7-server-rpms
    Updated     dracut-config-generic-033-535.el7.x86_64                      @?rhel-7-server-rpms
    Update                            033-554.el7.x86_64                      @rhel-7-server-rpms
    Updated     dracut-config-rescue-033-535.el7.x86_64                       @?rhel-7-server-rpms
    Update                           033-554.el7.x86_64                       @rhel-7-server-rpms
    Updated     dracut-network-033-535.el7.x86_64                             @?rhel-7-server-rpms
    Update                     033-554.el7.x86_64                             @rhel-7-server-rpms
    Updated     e2fsprogs-1.42.9-11.el7.x86_64                                @?rhel-7-server-rpms
    Update                1.42.9-13.el7.x86_64                                @rhel-7-server-rpms
    Updated     e2fsprogs-libs-1.42.9-11.el7.x86_64                           @?rhel-7-server-rpms
    Update                     1.42.9-13.el7.x86_64                           @rhel-7-server-rpms
    Updated     elfutils-default-yama-scope-0.170-4.el7.noarch                @?rhel-7-server-rpms
    Update                                  0.172-2.el7.noarch                @rhel-7-server-rpms
    Updated     elfutils-libelf-0.170-4.el7.x86_64                            @?rhel-7-server-rpms
    Update                      0.172-2.el7.x86_64                            @rhel-7-server-rpms
    Updated     elfutils-libs-0.170-4.el7.x86_64                              @?rhel-7-server-rpms
    Update                    0.172-2.el7.x86_64                              @rhel-7-server-rpms
    Updated     emacs-filesystem-1:24.3-20.el7_4.noarch                       @?rhel-7-server-rpms
    Update                       1:24.3-22.el7.noarch                         @rhel-7-server-rpms
    Updated     ethtool-2:4.8-7.el7.x86_64                                    @?rhel-7-server-rpms
    Update              2:4.8-9.el7.x86_64                                    @rhel-7-server-rpms
    Updated     file-5.11-33.el7.x86_64                                       @?rhel-7-server-rpms
    Update           5.11-35.el7.x86_64                                       @rhel-7-server-rpms
    Updated     file-libs-5.11-33.el7.x86_64                                  @?rhel-7-server-rpms
    Update                5.11-35.el7.x86_64                                  @rhel-7-server-rpms
    Updated     findutils-1:4.5.11-5.el7.x86_64                               @?rhel-7-server-rpms
    Update                1:4.5.11-6.el7.x86_64                               @rhel-7-server-rpms
    Updated     freetype-2.4.11-15.el7.x86_64                                 @?rhel-7-server-rpms
    Update               2.8-12.el7_6.1.x86_64                                @rhel-7-server-rpms
    Updated     glib2-2.54.2-2.el7.x86_64                                     @?rhel-7-server-rpms
    Update            2.56.1-2.el7.x86_64                                     @rhel-7-server-rpms
    Updated     glibc-2.17-222.el7.x86_64                                     @?rhel-7-server-rpms
    Update            2.17-260.el7_6.3.x86_64                                 @rhel-7-server-rpms
    Updated     glibc-common-2.17-222.el7.x86_64                              @?rhel-7-server-rpms
    Update                   2.17-260.el7_6.3.x86_64                          @rhel-7-server-rpms
    Updated     gnupg2-2.0.22-4.el7.x86_64                                    @?rhel-7-server-rpms
    Update             2.0.22-5.el7_5.x86_64                                  @rhel-7-server-rpms
    Updated     gobject-introspection-1.50.0-1.el7.x86_64                     @?rhel-7-server-rpms
    Update                            1.56.1-1.el7.x86_64                     @rhel-7-server-rpms
    Updated     grub2-1:2.02-0.65.el7_4.2.x86_64                              @?rhel-7-server-rpms
    Update            1:2.02-0.76.el7.1.x86_64                                @rhel-7-server-rpms
    Updated     grub2-common-1:2.02-0.65.el7_4.2.noarch                       @?rhel-7-server-rpms
    Update                   1:2.02-0.76.el7.1.noarch                         @rhel-7-server-rpms
    Updated     grub2-pc-1:2.02-0.65.el7_4.2.x86_64                           @?rhel-7-server-rpms
    Update               1:2.02-0.76.el7.1.x86_64                             @rhel-7-server-rpms
    Updated     grub2-pc-modules-1:2.02-0.65.el7_4.2.noarch                   @?rhel-7-server-rpms
    Update                       1:2.02-0.76.el7.1.noarch                     @rhel-7-server-rpms
    Updated     grub2-tools-1:2.02-0.65.el7_4.2.x86_64                        @?rhel-7-server-rpms
    Update                  1:2.02-0.76.el7.1.x86_64                          @rhel-7-server-rpms
    Updated     grub2-tools-extra-1:2.02-0.65.el7_4.2.x86_64                  @?rhel-7-server-rpms
    Update                        1:2.02-0.76.el7.1.x86_64                    @rhel-7-server-rpms
    Updated     grub2-tools-minimal-1:2.02-0.65.el7_4.2.x86_64                @?rhel-7-server-rpms
    Update                          1:2.02-0.76.el7.1.x86_64                  @rhel-7-server-rpms
    Updated     grubby-8.28-23.el7.x86_64                                     @?rhel-7-server-rpms
    Update             8.28-25.el7.x86_64                                     @rhel-7-server-rpms
    Updated     gssproxy-0.7.0-17.el7.x86_64                                  @?rhel-7-server-rpms
    Update               0.7.0-21.el7.x86_64                                  @rhel-7-server-rpms
    Updated     hwdata-0.252-8.8.el7.x86_64                                   @?rhel-7-server-rpms
    Update             0.252-9.1.el7.x86_64                                   @rhel-7-server-rpms
    Updated     initscripts-9.49.41-1.el7.x86_64                              @?rhel-7-server-rpms
    Update                  9.49.46-1.el7.x86_64                              @rhel-7-server-rpms
    Updated     iptables-1.4.21-24.el7.x86_64                                 @?rhel-7-server-rpms
    Update               1.4.21-28.el7.x86_64                                 @rhel-7-server-rpms
    Updated     iwl7265-firmware-22.0.7.0-62.el7.noarch                       @?rhel-7-server-rpms
    Update                       22.0.7.0-69.el7.noarch                       @rhel-7-server-rpms
    Dep-Install json-c-0.11-4.el7_0.x86_64                                    @rhel-7-server-rpms
    Updated     kbd-1.15.5-13.el7.x86_64                                      @?rhel-7-server-rpms
    Update          1.15.5-15.el7.x86_64                                      @rhel-7-server-rpms
    Updated     kbd-legacy-1.15.5-13.el7.noarch                               @?rhel-7-server-rpms
    Update                 1.15.5-15.el7.noarch                               @rhel-7-server-rpms
    Updated     kbd-misc-1.15.5-13.el7.noarch                                 @?rhel-7-server-rpms
    Update               1.15.5-15.el7.noarch                                 @rhel-7-server-rpms
    Install     kernel-3.10.0-957.5.1.el7.x86_64                              @rhel-7-server-rpms
    Updated     kernel-tools-3.10.0-862.el7.x86_64                            @?rhel-7-server-rpms
    Update                   3.10.0-957.5.1.el7.x86_64                        @rhel-7-server-rpms
    Updated     kernel-tools-libs-3.10.0-862.el7.x86_64                       @?rhel-7-server-rpms
    Update                        3.10.0-957.5.1.el7.x86_64                   @rhel-7-server-rpms
    Updated     kexec-tools-2.0.15-13.el7.x86_64                              @?rhel-7-server-rpms
    Update                  2.0.15-21.el7.x86_64                              @rhel-7-server-rpms
    Updated     kmod-20-21.el7.x86_64                                         @?rhel-7-server-rpms
    Update           20-23.el7.x86_64                                         @rhel-7-server-rpms
    Updated     kmod-libs-20-21.el7.x86_64                                    @?rhel-7-server-rpms
    Update                20-23.el7.x86_64                                    @rhel-7-server-rpms
    Updated     kpartx-0.4.9-119.el7.x86_64                                   @?rhel-7-server-rpms
    Update             0.4.9-123.el7.x86_64                                   @rhel-7-server-rpms
    Updated     krb5-libs-1.15.1-18.el7.x86_64                                @?rhel-7-server-rpms
    Update                1.15.1-37.el7_6.x86_64                              @rhel-7-server-rpms
    Updated     libbasicobjects-0.1.1-29.el7.x86_64                           @?rhel-7-server-rpms
    Update                      0.1.1-32.el7.x86_64                           @rhel-7-server-rpms
    Updated     libblkid-2.23.2-52.el7.x86_64                                 @?rhel-7-server-rpms
    Update               2.23.2-59.el7.x86_64                                 @rhel-7-server-rpms
    Updated     libcgroup-0.41-15.el7.x86_64                                  @?rhel-7-server-rpms
    Update                0.41-20.el7.x86_64                                  @rhel-7-server-rpms
    Updated     libcollection-0.7.0-29.el7.x86_64                             @?rhel-7-server-rpms
    Update                    0.7.0-32.el7.x86_64                             @rhel-7-server-rpms
    Updated     libcom_err-1.42.9-11.el7.x86_64                               @?rhel-7-server-rpms
    Update                 1.42.9-13.el7.x86_64                               @rhel-7-server-rpms
    Updated     libcroco-0.6.11-1.el7.x86_64                                  @?rhel-7-server-rpms
    Update               0.6.12-4.el7.x86_64                                  @rhel-7-server-rpms
    Updated     libcurl-7.29.0-46.el7.x86_64                                  @?rhel-7-server-rpms
    Update              7.29.0-51.el7.x86_64                                  @rhel-7-server-rpms
    Updated     libfastjson-0.99.4-2.el7.x86_64                               @?rhel-7-server-rpms
    Update                  0.99.4-3.el7.x86_64                               @rhel-7-server-rpms
    Updated     libgcc-4.8.5-28.el7.x86_64                                    @?rhel-7-server-rpms
    Update             4.8.5-36.el7.x86_64                                    @rhel-7-server-rpms
    Updated     libgomp-4.8.5-28.el7.x86_64                                   @?rhel-7-server-rpms
    Update              4.8.5-36.el7.x86_64                                   @rhel-7-server-rpms
    Updated     libgudev1-219-57.el7.x86_64                                   @?rhel-7-server-rpms
    Update                219-62.el7_6.5.x86_64                               @rhel-7-server-rpms
    Updated     libini_config-1.3.1-29.el7.x86_64                             @?rhel-7-server-rpms
    Update                    1.3.1-32.el7.x86_64                             @rhel-7-server-rpms
    Updated     libmount-2.23.2-52.el7.x86_64                                 @?rhel-7-server-rpms
    Update               2.23.2-59.el7.x86_64                                 @rhel-7-server-rpms
    Updated     libpath_utils-0.2.1-29.el7.x86_64                             @?rhel-7-server-rpms
    Update                    0.2.1-32.el7.x86_64                             @rhel-7-server-rpms
    Dep-Install libpng-2:1.5.13-7.el7_2.x86_64                                @rhel-7-server-rpms
    Updated     libref_array-0.1.5-29.el7.x86_64                              @?rhel-7-server-rpms
    Update                   0.1.5-32.el7.x86_64                              @rhel-7-server-rpms
    Updated     libselinux-2.5-12.el7.x86_64                                  @?rhel-7-server-rpms
    Update                 2.5-14.1.el7.x86_64                                @rhel-7-server-rpms
    Updated     libselinux-python-2.5-12.el7.x86_64                           @?rhel-7-server-rpms
    Update                        2.5-14.1.el7.x86_64                         @rhel-7-server-rpms
    Updated     libselinux-utils-2.5-12.el7.x86_64                            @?rhel-7-server-rpms
    Update                       2.5-14.1.el7.x86_64                          @rhel-7-server-rpms
    Updated     libsemanage-2.5-11.el7.x86_64                                 @?rhel-7-server-rpms
    Update                  2.5-14.el7.x86_64                                 @rhel-7-server-rpms
    Updated     libsemanage-python-2.5-11.el7.x86_64                          @?rhel-7-server-rpms
    Update                         2.5-14.el7.x86_64                          @rhel-7-server-rpms
    Updated     libsepol-2.5-8.1.el7.x86_64                                   @?rhel-7-server-rpms
    Update               2.5-10.el7.x86_64                                    @rhel-7-server-rpms
    Dep-Install libsmartcols-2.23.2-59.el7.x86_64                             @rhel-7-server-rpms
    Updated     libss-1.42.9-11.el7.x86_64                                    @?rhel-7-server-rpms
    Update            1.42.9-13.el7.x86_64                                    @rhel-7-server-rpms
    Updated     libssh2-1.4.3-10.el7_2.1.x86_64                               @?rhel-7-server-rpms
    Update              1.4.3-12.el7.x86_64                                   @rhel-7-server-rpms
    Updated     libstdc++-4.8.5-28.el7.x86_64                                 @?rhel-7-server-rpms
    Update                4.8.5-36.el7.x86_64                                 @rhel-7-server-rpms
    Updated     libteam-1.27-4.el7.x86_64                                     @?rhel-7-server-rpms
    Update              1.27-5.el7.x86_64                                     @rhel-7-server-rpms
    Updated     libtirpc-0.2.4-0.10.el7.x86_64                                @?rhel-7-server-rpms
    Update               0.2.4-0.15.el7.x86_64                                @rhel-7-server-rpms
    Updated     libuuid-2.23.2-52.el7.x86_64                                  @?rhel-7-server-rpms
    Update              2.23.2-59.el7.x86_64                                  @rhel-7-server-rpms
    Dep-Install linux-firmware-20180911-69.git85c5d90.el7.noarch              @rhel-7-server-rpms
    Updated     logrotate-3.8.6-15.el7.x86_64                                 @?rhel-7-server-rpms
    Update                3.8.6-17.el7.x86_64                                 @rhel-7-server-rpms
    Updated     man-db-2.6.3-9.el7.x86_64                                     @?rhel-7-server-rpms
    Update             2.6.3-11.el7.x86_64                                    @rhel-7-server-rpms
    Updated     mariadb-libs-1:5.5.56-2.el7.x86_64                            @?rhel-7-server-rpms
    Update                   1:5.5.60-1.el7_5.x86_64                          @rhel-7-server-rpms
    Updated     microcode_ctl-2:2.1-29.el7.x86_64                             @?rhel-7-server-rpms
    Update                    2:2.1-47.el7.x86_64                             @rhel-7-server-rpms
    Updated     net-tools-2.0-0.22.20131004git.el7.x86_64                     @?rhel-7-server-rpms
    Update                2.0-0.24.20131004git.el7.x86_64                     @rhel-7-server-rpms
    Updated     nfs-utils-1:1.3.0-0.54.el7.x86_64                             @?rhel-7-server-rpms
    Update                1:1.3.0-0.61.el7.x86_64                             @rhel-7-server-rpms
    Updated     nspr-4.17.0-1.el7.x86_64                                      @?rhel-7-server-rpms
    Update           4.19.0-1.el7_5.x86_64                                    @rhel-7-server-rpms
    Updated     nss-3.34.0-4.el7.x86_64                                       @?rhel-7-server-rpms
    Update          3.36.0-7.1.el7_6.x86_64                                   @rhel-7-server-rpms
    Updated     nss-pem-1.0.3-4.el7.x86_64                                    @?rhel-7-server-rpms
    Update              1.0.3-5.el7.x86_64                                    @rhel-7-server-rpms
    Updated     nss-softokn-3.34.0-2.el7.x86_64                               @?rhel-7-server-rpms
    Update                  3.36.0-5.el7_5.x86_64                             @rhel-7-server-rpms
    Updated     nss-softokn-freebl-3.34.0-2.el7.x86_64                        @?rhel-7-server-rpms
    Update                         3.36.0-5.el7_5.x86_64                      @rhel-7-server-rpms
    Updated     nss-sysinit-3.34.0-4.el7.x86_64                               @?rhel-7-server-rpms
    Update                  3.36.0-7.1.el7_6.x86_64                           @rhel-7-server-rpms
    Updated     nss-tools-3.34.0-4.el7.x86_64                                 @?rhel-7-server-rpms
    Update                3.36.0-7.1.el7_6.x86_64                             @rhel-7-server-rpms
    Updated     nss-util-3.34.0-2.el7.x86_64                                  @?rhel-7-server-rpms
    Update               3.36.0-1.1.el7_6.x86_64                              @rhel-7-server-rpms
    Updated     openldap-2.4.44-13.el7.x86_64                                 @?rhel-7-server-rpms
    Update               2.4.44-21.el7_6.x86_64                               @rhel-7-server-rpms
    Updated     openssl-1:1.0.2k-12.el7.x86_64                                @?rhel-7-server-rpms
    Update              1:1.0.2k-16.el7.x86_64                                @rhel-7-server-rpms
    Updated     openssl-libs-1:1.0.2k-12.el7.x86_64                           @?rhel-7-server-rpms
    Update                   1:1.0.2k-16.el7.x86_64                           @rhel-7-server-rpms
    Updated     policycoreutils-2.5-22.el7.x86_64                             @?rhel-7-server-rpms
    Update                      2.5-29.el7_6.1.x86_64                         @rhel-7-server-rpms
    Updated     policycoreutils-python-2.5-22.el7.x86_64                      @?rhel-7-server-rpms
    Update                             2.5-29.el7_6.1.x86_64                  @rhel-7-server-rpms
    Updated     polkit-0.112-14.el7.x86_64                                    @?rhel-7-server-rpms
    Update             0.112-18.el7_6.1.x86_64                                @rhel-7-server-rpms
    Updated     postfix-2:2.10.1-6.el7.x86_64                                 @?rhel-7-server-rpms
    Update              2:2.10.1-7.el7.x86_64                                 @rhel-7-server-rpms
    Updated     procps-ng-3.3.10-17.el7.x86_64                                @?rhel-7-server-rpms
    Update                3.3.10-23.el7.x86_64                                @rhel-7-server-rpms
    Updated     pyOpenSSL-0.13.1-3.el7.x86_64                                 @?rhel-7-server-rpms
    Update                0.13.1-4.el7.x86_64                                 @rhel-7-server-rpms
    Updated     python-2.7.5-68.el7.x86_64                                    @?rhel-7-server-rpms
    Update             2.7.5-76.el7.x86_64                                    @rhel-7-server-rpms
    Updated     python-dmidecode-3.12.2-2.el7.x86_64                          @?rhel-7-server-rpms
    Update                       3.12.2-3.el7.x86_64                          @rhel-7-server-rpms
    Updated     python-ethtool-0.8-5.el7.x86_64                               @?rhel-7-server-rpms
    Update                     0.8-7.el7.x86_64                               @rhel-7-server-rpms
    Updated     python-libs-2.7.5-68.el7.x86_64                               @?rhel-7-server-rpms
    Update                  2.7.5-76.el7.x86_64                               @rhel-7-server-rpms
    Updated     python-linux-procfs-0.4.9-3.el7.noarch                        @?rhel-7-server-rpms
    Update                          0.4.9-4.el7.noarch                        @rhel-7-server-rpms
    Updated     python-magic-5.11-33.el7.noarch                               @?rhel-7-server-rpms
    Update                   5.11-35.el7.noarch                               @rhel-7-server-rpms
    Updated     python-perf-3.10.0-862.el7.x86_64                             @?rhel-7-server-rpms
    Update                  3.10.0-957.5.1.el7.x86_64                         @rhel-7-server-rpms
    Updated     python-urlgrabber-3.10-8.el7.noarch                           @?rhel-7-server-rpms
    Update                        3.10-9.el7.noarch                           @rhel-7-server-rpms
    Updated     qemu-guest-agent-10:2.8.0-2.el7.x86_64                        @?rhel-7-server-rpms
    Update                       10:2.12.0-2.el7.x86_64                       @rhel-7-server-rpms
    Updated     redhat-release-server-7.5-8.el7.x86_64                        @?rhel-7-server-rpms
    Update                            7.6-4.el7.x86_64                        @rhel-7-server-rpms
    Updated     rhn-check-2.0.2-21.el7.noarch                                 @?rhel-7-server-rpms
    Update                2.0.2-24.el7.x86_64                                 @rhel-7-server-rpms
    Updated     rhn-client-tools-2.0.2-21.el7.noarch                          @?rhel-7-server-rpms
    Update                       2.0.2-24.el7.x86_64                          @rhel-7-server-rpms
    Updated     rhn-setup-2.0.2-21.el7.noarch                                 @?rhel-7-server-rpms
    Update                2.0.2-24.el7.x86_64                                 @rhel-7-server-rpms
    Updated     rhnlib-2.5.65-7.el7.noarch                                    @?rhel-7-server-rpms
    Update             2.5.65-8.el7.noarch                                    @rhel-7-server-rpms
    Updated     rpcbind-0.2.0-44.el7.x86_64                                   @?rhel-7-server-rpms
    Update              0.2.0-47.el7.x86_64                                   @rhel-7-server-rpms
    Updated     rpm-4.11.3-32.el7.x86_64                                      @?rhel-7-server-rpms
    Update          4.11.3-35.el7.x86_64                                      @rhel-7-server-rpms
    Updated     rpm-build-libs-4.11.3-32.el7.x86_64                           @?rhel-7-server-rpms
    Update                     4.11.3-35.el7.x86_64                           @rhel-7-server-rpms
    Updated     rpm-libs-4.11.3-32.el7.x86_64                                 @?rhel-7-server-rpms
    Update               4.11.3-35.el7.x86_64                                 @rhel-7-server-rpms
    Updated     rpm-python-4.11.3-32.el7.x86_64                               @?rhel-7-server-rpms
    Update                 4.11.3-35.el7.x86_64                               @rhel-7-server-rpms
    Updated     rsyslog-8.24.0-16.el7.x86_64                                  @?rhel-7-server-rpms
    Update              8.24.0-34.el7.x86_64                                  @rhel-7-server-rpms
    Updated     selinux-policy-3.13.1-192.el7.noarch                          @?rhel-7-server-rpms
    Update                     3.13.1-229.el7_6.9.noarch                      @rhel-7-server-rpms
    Updated     selinux-policy-targeted-3.13.1-192.el7.noarch                 @?rhel-7-server-rpms
    Update                              3.13.1-229.el7_6.9.noarch             @rhel-7-server-rpms
    Updated     setools-libs-3.3.8-2.el7.x86_64                               @?rhel-7-server-rpms
    Update                   3.3.8-4.el7.x86_64                               @rhel-7-server-rpms
    Updated     setup-2.8.71-9.el7.noarch                                     @?rhel-7-server-rpms
    Update            2.8.71-10.el7.noarch                                    @rhel-7-server-rpms
    Updated     sg3_utils-1.37-12.el7.x86_64                                  @?rhel-7-server-rpms
    Update                1.37-17.el7.x86_64                                  @rhel-7-server-rpms
    Updated     sg3_utils-libs-1.37-12.el7.x86_64                             @?rhel-7-server-rpms
    Update                     1.37-17.el7.x86_64                             @rhel-7-server-rpms
    Updated     shadow-utils-2:4.1.5.1-24.el7.x86_64                          @?rhel-7-server-rpms
    Update                   2:4.1.5.1-25.el7.x86_64                          @rhel-7-server-rpms
    Updated     subscription-manager-1.20.10-1.el7.x86_64                     @?rhel-7-server-rpms
    Update                           1.21.10-3.el7_6.x86_64                   @rhel-7-server-rpms
    Updated     subscription-manager-rhsm-1.20.10-1.el7.x86_64                @?rhel-7-server-rpms
    Update                                1.21.10-3.el7_6.x86_64              @rhel-7-server-rpms
    Updated     subscription-manager-rhsm-certificates-1.20.10-1.el7.x86_64   @?rhel-7-server-rpms
    Update                                             1.21.10-3.el7_6.x86_64 @rhel-7-server-rpms
    Updated     sudo-1.8.19p2-13.el7.x86_64                                   @?rhel-7-server-rpms
    Update           1.8.23-3.el7.x86_64                                      @rhel-7-server-rpms
    Updated     systemd-219-57.el7.x86_64                                     @?rhel-7-server-rpms
    Update              219-62.el7_6.5.x86_64                                 @rhel-7-server-rpms
    Updated     systemd-libs-219-57.el7.x86_64                                @?rhel-7-server-rpms
    Update                   219-62.el7_6.5.x86_64                            @rhel-7-server-rpms
    Updated     systemd-sysv-219-57.el7.x86_64                                @?rhel-7-server-rpms
    Update                   219-62.el7_6.5.x86_64                            @rhel-7-server-rpms
    Updated     tar-2:1.26-34.el7.x86_64                                      @?rhel-7-server-rpms
    Update          2:1.26-35.el7.x86_64                                      @rhel-7-server-rpms
    Updated     teamd-1.27-4.el7.x86_64                                       @?rhel-7-server-rpms
    Update            1.27-5.el7.x86_64                                       @rhel-7-server-rpms
    Updated     tuned-2.9.0-1.el7.noarch                                      @?rhel-7-server-rpms
    Update            2.10.0-6.el7.noarch                                     @rhel-7-server-rpms
    Updated     tzdata-2018c-1.el7.noarch                                     @?rhel-7-server-rpms
    Update             2018i-1.el7.noarch                                     @rhel-7-server-rpms
    Updated     util-linux-2.23.2-52.el7.x86_64                               @?rhel-7-server-rpms
    Update                 2.23.2-59.el7.x86_64                               @rhel-7-server-rpms
    Updated     vim-minimal-2:7.4.160-4.el7.x86_64                            @?rhel-7-server-rpms
    Update                  2:7.4.160-5.el7.x86_64                            @rhel-7-server-rpms
    Updated     wpa_supplicant-1:2.6-9.el7.x86_64                             @?rhel-7-server-rpms
    Update                     1:2.6-12.el7.x86_64                            @rhel-7-server-rpms
    Updated     xfsprogs-4.5.0-15.el7.x86_64                                  @?rhel-7-server-rpms
    Update               4.5.0-18.el7.x86_64                                  @rhel-7-server-rpms
    Updated     yum-3.4.3-158.el7.noarch                                      @?rhel-7-server-rpms
    Update          3.4.3-161.el7.noarch                                      @rhel-7-server-rpms
    Updated     yum-utils-1.1.31-45.el7.noarch                                @?rhel-7-server-rpms
    Update                1.1.31-50.el7.noarch                                @rhel-7-server-rpms
    Updated     zlib-1.2.7-17.el7.x86_64                                      @?rhel-7-server-rpms
    Update           1.2.7-18.el7.x86_64                                      @rhel-7-server-rpms
Scriptlet output:
   1 warning: /etc/os-release saved as /etc/os-release.rpmsave
   2 warning: /etc/shadow created as /etc/shadow.rpmnew
   3 warning: /etc/cloud/cloud.cfg created as /etc/cloud/cloud.cfg.rpmnew
   4 warning: /etc/sudoers created as /etc/sudoers.rpmnew
history info

Comment 3 Dave Johnson 2019-03-15 21:53:31 UTC
Closing in favor of the JIRA card.  If interested in progress, watch it instead.


Note You need to log in before you can comment on or make changes to this bug.